vim.g.coq_settings = {
	auto_start = 'shut-up',
}

require'nvim-treesitter.configs'.setup {
	highlight = {
		enable = true,
	}
}

local lsp = require "lspconfig"
local coq = require "coq"

require("coq_3p") {
	src = "nvimlua",
	short_name = "nLUA",
}

lsp.pylsp.setup{coq.lsp_ensure_capabilities()}
lsp.gdscript.setup{coq.lsp_ensure_capabilities()}
lsp.ltex.setup{coq.lsp_ensure_capabilities()}
lsp.rust_analyzer.setup{coq.lsp_ensure_capabilities()}
lsp.gdscript.setup{coq.lsp_ensure_capabilities()}
lsp.asm_lsp.setup{coq.lsp_ensure_capabilities()}
lsp.ltex.setup{coq.lsp_ensure_capabilities()}

-- lsp.java_language_server.setup{coq.lsp_ensure_capabilities{
-- 	cmd = {
-- 		"/home/erin/src/java-language-server/dist/lang_server_linux.sh"
-- 	},
-- }}
